.cms-blog-wrap { display: flex; flex-wrap: wrap; width: 100%; max-width: 83.75rem; margin: 1.25rem auto; }
h1 { width: 100%; position: relative; margin: 0 0 2rem; padding-bottom: 1rem; color: hsl(var(--siteColor1)); line-height: 1.25; }
h1:after { content: ""; display: block; width: 100%; position: absolute; top: 100%; left: 0; padding: 0; height: 0.3125rem; border: none; border-radius: var(--borderRadiusPill); background-color: hsla(var(--siteColor1), 10%); }
body .i-sidebar { margin: 0; }
@media screen and (min-width: 992px) {
  body .i-sidebar { margin: 0.25rem 0 0; }
}

/* Blog - Loading Div */
.blog-loading { display: flex; justify-content: center; width: 100%; position: relative; padding: 2rem; }
.blog-loading .swiper-lazy-preloader { --swiper-preloader-color: hsl(var(--siteColor1)); --swiper-theme-color: hsl(var(--siteColor1)); }

/* Post List Page */
.cms-blog-grid-wrap { margin-bottom: 3rem; }
.blog-results {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 2rem;
}
@media screen and (min-width: 768px) {
  .blog-results {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media screen and (min-width: 992px) {
  .blog-results {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* Post Detail Page */
.cms-blog-detail-wrap { margin: 0.625rem ​0 3rem; }
.blog-detail-item { flex: 0 0 100%; max-width: 100%; }
.blog-detail-item .blog-post-header h1 { color: hsl(var(--bodyFontColor)); }

/* Post - List & Detail */
.blog-post { height: 100%; display: flex; flex-direction: column; align-self: flex-start; padding: 1.5rem; border-radius: var(--borderRadius); box-shadow: var(--dropShadow); }
.blog-post:hover { box-shadow: var(--dropShadow), var(--dropShadow); }
.blog-post-link { touch-action: none; display: flex; position: relative; text-decoration: none; transition: all ease-in-out .4s; }
.blog-post-link:hover { color: hsla(var(--siteColor1), 75%); text-decoration: none; }
.blog-post-header small { color: hsl(var(--siteColor1)); line-height: 1.15; }
.blog-post-header h1 { margin: 1rem 0 0.5rem; padding: 0; text-transform: uppercase; }
.blog-post-header h1:after { display: none; }
.blog-post-header h2 { margin: 0.25rem 0 0.5rem; font-size: 1.75rem; line-height: 1.25; }
.blog-post-img { width: 100%; height: 200px; background-color: #eee; object-fit: cover; margin-bottom: 0.5rem; border-radius: 0.75rem; }
.blog-post-content img { max-width: 100%; }
.blog-post-content { flex-grow: 1; }
.blog-post-content,
.blog-post-content div,
.blog-post-content p,
.blog-post-content span,
.blog-post-content table { font-family: var(--siteFont1) !important; }
.blog-post-content p:empty { display: none; }
.blog-post-btn { text-align: center; justify-content: center; align-items: center; margin-top: 0.9375rem; padding: 0.9375rem 1.25rem; background: hsl(var(--siteColor1)); border: none; border-radius: var(--borderRadiusPill); color: hsl(var(--white)); line-height: 1; transition:all 0.3s; }
.blog-post-btn:hover { background: hsl(var(--siteColor5)); color: hsl(var(--white)); text-decoration: none; }

.blog-tags { display: flex; margin-top: 0.5rem; font-size: 0.75rem; }
.blog-tag { display: flex; }
.blog-tag-link { display: flex; align-items: center; margin: 0.5rem 0.5rem; padding: 0.25rem 0.5rem; background: hsl(var(--siteColor1)); border-radius: var(--borderRadiusCheckbox); color: hsl(var(--white)); line-height: 1; font-weight: var(--wMedium); text-transform: capitalize; }
.blog-tag-link:hover { box-shadow: var(--boxShadow); }
.blog-tag .blog-tag-link:first-child { margin-left: 0; }
.blog-tag .icon { width: 1rem; height: 1rem; margin-right: 0.25rem; color: hsl(var(--white)); }
.blog-tag:hover .blog-tag-link,
.blog-tag:hover .icon { color: hsl(var(--white)); text-decoration: none; }

/* Posts Pagination */
.blog-post-nav { display: flex; flex-wrap: wrap; justify-content: space-between; width: 100%; position: relative; margin-top: 1rem; padding-top: 1rem; }
.blog-post-nav:before { content: ""; display: block; width: 100%; position: absolute; bottom: 100%; padding: 0; height: 0.3125rem; border: none; border-radius: var(--borderRadiusPill); background-color: hsla(var(--siteColor1), 10%); }
.blog-post-nav .btn { display: flex; align-items: center; }
.blog-post-nav .btn .icon { width: 1rem !important; height: 1rem !important; }
.blog-post-nav .btn-prev .icon { margin-right: 0.25rem; }
.blog-post-nav .btn-next .icon { margin-left: 0.25rem; }

/* Sidebar */
.blog-sidebar { display: flex; flex-wrap: wrap; padding: 1.25rem 0.9375rem; background: hsl(0, 0%, 95%); border-radius: var(--borderRadius); margin-bottom: 2rem; }
.blog-sidebar-block { flex-basis: 100%; max-width: 100%; margin-bottom: 1.5rem; }
.blog-sidebar-block.blog-sidebar-search { flex-basis: 100%; max-width: 100%; }
.blog-sidebar-title { font-size: 1.5rem; color: hsl(var(--bodyFontColor)); }
@media screen and (min-width: 768px) {
  .blog-sidebar-block { flex-basis: 33.33333%; max-width: 33.33333%; }
}
@media screen and (min-width: 992px) {
  .blog-sidebar { padding: 0; background: transparent; }
  .blog-sidebar-block { flex-basis: 100%; max-width: 100%; }
}

/* Blog Sidebar List */
.blog-list-group { padding-left: 1.25rem; list-style: none;  }
.blog-list-group li { margin-bottom: 0.25rem; line-height: 1.25; }
.blog-list-group li:before { content:"\2022"; color: hsl(var(--siteColor1)); font-weight:700; display:inline-block; width:1em; margin-left:-1em; font-size:1.25rem; line-height:1; }
.blog-list-link { display: inline-flex; position: relative; padding-bottom: 0.125rem; border-bottom: 0.125rem solid transparent; color: hsl(var(--siteColor1)); line-height: 1; text-transform: capitalize; transition: all 0.4s ease-in-out; }
.blog-list-link:hover { border-bottom-color: hsl(var(--siteColor5)); text-decoration: none; }

/* Sidebar Search Form */
.blog-search-form-wrap { margin: 1rem 0 0; }
.blog-search-form-wrap .site-search-form label { color: hsl(0,0%,50%); }
.blog-search-form-wrap .site-search-term[type=search] { border-color: hsl(0,0%,80%); color: hsl(var(--bodyFontColor)); }
.blog-search-form-wrap .site-search-submit { background: hsl(0,0%,95%); border-color: hsl(0,0%,80%); color: hsl(var(--bodyFontColor)); }
.blog-search-form-wrap .site-search-submit:hover { background: hsl(var(--siteColor1)); color: hsl(var(--white)); }
